summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apps/nikola')
-rw-r--r--www-apps/nikola/nikola-7.8.15.ebuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/www-apps/nikola/nikola-7.8.15.ebuild b/www-apps/nikola/nikola-7.8.15.ebuild
index 0b607625721..4ae53a85554 100644
--- a/www-apps/nikola/nikola-7.8.15.ebuild
+++ b/www-apps/nikola/nikola-7.8.15.ebuild
@@ -17,6 +17,7 @@ LICENSE="MIT Apache-2.0 CC0-1.0 public-domain"
SLOT="0"
KEYWORDS="amd64"
IUSE="assets charts ghpages hyphenation ipython jinja watchdog webmedia websocket"
+REQUIRED_USE="ipython? ( || ( $(python_gen_useflags -3) ) )"
RESTRICT="test" # needs coveralls
DEPEND=">=dev-python/docutils-0.12[${PYTHON_USEDEP}]" # needs rst2man to build manpage
@@ -42,7 +43,11 @@ RDEPEND="${DEPEND}
charts? ( >=dev-python/pygal-2.0.1[${PYTHON_USEDEP}] )
ghpages? ( >=dev-python/ghp-import-0.4.1[${PYTHON_USEDEP}] )
hyphenation? ( >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}] )
- ipython? ( >=dev-python/ipython-2.0.0[notebook,${PYTHON_USEDEP}] )
+ ipython? (
+ $(python_gen_cond_dep '
+ >=dev-python/ipython-2.0.0[notebook,${PYTHON_USEDEP}]
+ ' -3)
+ )
jinja? ( >=dev-python/jinja-2.7.2[${PYTHON_USEDEP}] )
watchdog? ( ~dev-python/watchdog-0.8.3[${PYTHON_USEDEP}] )
webmedia? ( >=dev-python/micawber-0.3.0[${PYTHON_USEDEP}] )